// Задача "Палиндромность-4"
// 4-ая личная Интернет-олимпиада сезона 2007-2008
// Автор задачи: Владимир Ульянцев, ulyantsev@rain.ifmo.ru
// Автор решения: Сергей Поромов, poromov@rain.ifmo.ru
// Неправильное решение: выводит любую строку из данных символов

import java.io.*;
import java.util.*;

public class paly4_sp_stupid implements Runnable {

	public static void main(String[] args) {
		new Thread(new paly4_sp_stupid()).run();
	}

	public void run() {
		try {
			Locale.setDefault(Locale.US);
			br = new BufferedReader(new FileReader(FILENAME + ".in"));
			out = new PrintWriter(FILENAME + ".out");
			solve();
			out.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	BufferedReader br;

	PrintWriter out;

	StringTokenizer st;
	
	boolean eof;

	String nextToken() {
		while (st == null || !st.hasMoreTokens()) {
			try {
				st = new StringTokenizer(br.readLine());
			} catch (Exception e) {
				eof = true;
				return "0";
			}
		}
		return st.nextToken();
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	void myAssert(boolean e, String s) {
		if (!e) {
			throw new Error("Assertion failure " + s);
		}
	}

	private static final String FILENAME = "paly4";
	
	final int MAXC = (int) 1e6;
	
	char[] ans;
	
	public void solve() {
		int[] c = new int[26];
		int s = 0;
		for (int i = 0; i < 26; i++) {
			c[i] = nextInt();
			myAssert(0 <= c[i] && c[i] <= MAXC, "Wrong c");
			s += c[i];
		}
		myAssert(1 <= s && s <= MAXC, "Wrong sum of c");
		for (int i = 0; i < 26; i++) {
			for (int j = 0; j < c[i]; j++) {
				out.print((char)('a' + i));
			}
		}
	}
}
